#ifndef CONTROL_H
#define CONTROL_H

#define SHOW_TIME         0
#define SHOW_DATE         1
#define SHOW_ALARM        2
#define SET_ALARM_HOUR    3
#define SET_ALARM_MINUTE  4
#define SET_ALARM_SECOND  5

typedef enum {
    idle,
    pressed,
    long_pressed
} button_state;

void control_init();
unsigned char get_mode();
unsigned char get_modified_value();

bool option1(); // DCF LED ON/OFF
bool option2(); // Coockoo HOUR ON/OFF
bool option3(); // Coockoo 1/4 HOUR ON/OFF
bool option4();

bool alarm_on();

void increment60(unsigned char& value);
void decrement60(unsigned char& value);
void increment24(unsigned char& value);
void decrement24(unsigned char& value);
void increment12(unsigned char& value);
void decrement12(unsigned char& value);

#endif
